HVTEST(1)

NAME
hvtest - test cases for QDBM Hovel

SYNOPSIS

hvtest write [-qdbm] [-s] name rnum
hvtest read [-qdbm] name rnum

DESCRIPTION

The command `hvtest' is a utility for facility test and performance test. Check a database generated by the command or measure the execution time of the command. This command is used in the following format. `name' specifies a database name. `rnum' specifies the number of records.

hvtest write [-qdbm] [-s] name rnum
    Store records with keys of 8 bytes. They changes as `00000001', `00000002'...

hvtest read [-qdbm] name rnum
    Retrieve records of the database above.

Options feature the following.

    -qdbm : use `gdbm_open2' and open the handle as Curia.
    -s : make the file sparse.

This command returns 0 on success, another on failure.

SEE ALSO

qdbm(3), hovel(3)

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.